import {
  DefaultFooter,
  PageContainer,
  ProCard,
} from '@ant-design/pro-components';

export default (props) => {
  return (
    <div>
      <PageContainer header={{ title: null }} {...props}>
        <ProCard
          style={{ minHeight: 'calc(100vh - 170px)', overflowY: 'auto' }}
        >
          {props.children}
        </ProCard>
      </PageContainer>
      <div
        style={{
          fontSize: 14,
          color: 'rgba(0, 0, 0, 0.88)',
          textAlign: 'center',
          margin: '20px 0',
        }}
      >
        Copyright © 金科环境股份有限公司
      </div>
    </div>
  );
};
